﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using InvokeSolutions.Docx.Data;
using System.IO;
using InvokeSolutions.Docx;
using System.Diagnostics;

namespace SampleRepeatersForParagraphs
{
    class Program
    {
        public static DataItem ConvertString(string str)
        {
            return DataItem.ConvertFrom(
                    str.Split(new[] { "\r\n" }, StringSplitOptions.None).Select(s => new { Text = s })
                );
        }
        
        static void Main(string[] args)
        {
            File.Copy("template.docx", "ready.docx", true);


            DocumentDataSource dds = new DocumentDataSource();

            dds["ONE"] = ConvertString("1\r\nTest\r\nNewLine");

            DocumentRenderer.ProcessDocument("ready.docx", dds);

            Process.Start("ready.docx");
        }
    }
}
