﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using InvokeSolutions.Docx;
using System.Diagnostics;

namespace SampleStyles
{
    class Program
    {
        static void Main(string[] args)
        {
            // create a copy of template file
            File.Copy("styles.docx", "styles_ready.docx", true);

            // create datasource
            DocumentDataSource source = new DocumentDataSource();

            source.EmptyValue = "[nothing]";
            source["LNAME"] = "Bloggs";

            // process the document
            DocumentRenderer.ProcessDocument("styles_ready.docx", source);

            Process.Start("styles_ready.docx");
        }
    }
}
